# QCheckBox Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractButton.

### Constructor

- void QCheckBox(QWidget parent)
- void QCheckBox(String text, QWidget parent)

### Constructor Properties

- prototype: The QCheckBox prototype object

### Prototype Object Properties

The QCheckBox prototype object inherits properties from the QAbstractButton prototype object and also has the following properties.

- CheckState checkState()
- QSize minimumSizeHint()
- void setCheckState(CheckState state)
- QSize sizeHint()

### Instance Properties

QCheckBox objects inherit properties from the QCheckBox prototype object and also have the following properties.

- tristate